require 'junos-space-api/sd'
require 'pp'

user = 'me'
pass = 'somepass'
server = 'space.company.com'

JunosSpace.open('user', 'pass', 'server')
addrs = JunosSpace::SD::Address.new

data = {
  'name' => 'my-home-network',
  'type' => 'network',
  'ip' => '192.168.1.0/24',
  'desc' => 'My home network',
  'version' => 'v4'
}

# Will get a list of all of the address objects.
pp addrs.list

# Will add a new address object to Junos Space.
pp addrs.add(data)

# Will return information about the address object.
pp addrs.info('my-home-network')

# Will delete the address object.
pp addrs.delete('my-home-network')