require 'junos-space-api/platform'
require 'pp'

user = 'me'
pass = 'somepass'
server = 'space.company.com'

JunosSpace.open('user', 'pass', 'server')
jobs = JunosSpace::Platform::Job.new

# Will return all jobs with a status of SUCCESS
pp jobs.list('success')

# Will return all jobs with a status of FAILURE
pp jobs.list('failure')

# Will return information about the job ID 9990001
pp jobs.info('9990001')