require 'junos-space-api/sd'
require 'pp'

user = 'me'
pass = 'somepass'
server = 'space.company.com'

JunosSpace.open('user', 'pass', 'server')
services = JunosSpace::SD::Service.new

data = {
  'name' => 'my-custom-service',
  'port' => '60001'
}

# Will get a list of all of the services.
pp services.list

# Will add a new service object to Junos Space.
pp services.add(data)

# Will return information about the service object.
pp services.info('my-custom-service')

# Will delete the service object.
pp services.delete('my-custom-service')